/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://github.com/google/apis-client-generator/
 * (build: 1969-12-31 23:59:59 UTC)
 * on 2021-02-24 at 00:14:02 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.mybusiness.v4.model;

/**
 * Languages spoken by at least one staff member.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google My Business API. For a detailed explanation
 * see:
 * <a href="https://developers.google.com/api-client-library/java/google-http-java-client/json">https://developers.google.com/api-client-library/java/google-http-java-client/json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class LanguagesSpoken extends com.google.api.client.json.GenericJson {

  /**
   * Arabic. At least one staff member speaks Arabic.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean arabicSpoken;

  /**
   * Arabic exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String arabicSpokenException;

  /**
   * Cantonese. At least one staff member speaks Cantonese.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean cantoneseSpoken;

  /**
   * Cantonese exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String cantoneseSpokenException;

  /**
   * Dutch. At least one staff member speaks Dutch.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean dutchSpoken;

  /**
   * Dutch exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String dutchSpokenException;

  /**
   * English. At least one staff member speaks English.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean englishSpoken;

  /**
   * English exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String englishSpokenException;

  /**
   * Filipino. At least one staff member speaks Filipino.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean filipinoSpoken;

  /**
   * Filipino exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String filipinoSpokenException;

  /**
   * French. At least one staff member speaks French.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean frenchSpoken;

  /**
   * French exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String frenchSpokenException;

  /**
   * German. At least one staff member speaks German.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean germanSpoken;

  /**
   * German exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String germanSpokenException;

  /**
   * Hindi. At least one staff member speaks Hindi.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean hindiSpoken;

  /**
   * Hindi exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String hindiSpokenException;

  /**
   * Indonesian. At least one staff member speaks Indonesian.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean indonesianSpoken;

  /**
   * Indonesian exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String indonesianSpokenException;

  /**
   * Italian. At least one staff member speaks Italian.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean italianSpoken;

  /**
   * Italian exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String italianSpokenException;

  /**
   * Japanese. At least one staff member speaks Japanese.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean japaneseSpoken;

  /**
   * Japanese exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String japaneseSpokenException;

  /**
   * Korean. At least one staff member speaks Korean.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean koreanSpoken;

  /**
   * Korean exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String koreanSpokenException;

  /**
   * Mandarin. At least one staff member speaks Mandarin.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean mandarinSpoken;

  /**
   * Mandarin exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String mandarinSpokenException;

  /**
   * Portuguese. At least one staff member speaks Portuguese.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean portugueseSpoken;

  /**
   * Portuguese exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String portugueseSpokenException;

  /**
   * Russian. At least one staff member speaks Russian.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean russianSpoken;

  /**
   * Russian exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String russianSpokenException;

  /**
   * Spanish. At least one staff member speaks Spanish.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean spanishSpoken;

  /**
   * Spanish exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String spanishSpokenException;

  /**
   * Vietnamese. At least one staff member speaks Vietnamese.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.Boolean vietnameseSpoken;

  /**
   * Vietnamese exception.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String vietnameseSpokenException;

  /**
   * Arabic. At least one staff member speaks Arabic.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getArabicSpoken() {
    return arabicSpoken;
  }

  /**
   * Arabic. At least one staff member speaks Arabic.
   * @param arabicSpoken arabicSpoken or {@code null} for none
   */
  public LanguagesSpoken setArabicSpoken(java.lang.Boolean arabicSpoken) {
    this.arabicSpoken = arabicSpoken;
    return this;
  }

  /**
   * Arabic exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getArabicSpokenException() {
    return arabicSpokenException;
  }

  /**
   * Arabic exception.
   * @param arabicSpokenException arabicSpokenException or {@code null} for none
   */
  public LanguagesSpoken setArabicSpokenException(java.lang.String arabicSpokenException) {
    this.arabicSpokenException = arabicSpokenException;
    return this;
  }

  /**
   * Cantonese. At least one staff member speaks Cantonese.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getCantoneseSpoken() {
    return cantoneseSpoken;
  }

  /**
   * Cantonese. At least one staff member speaks Cantonese.
   * @param cantoneseSpoken cantoneseSpoken or {@code null} for none
   */
  public LanguagesSpoken setCantoneseSpoken(java.lang.Boolean cantoneseSpoken) {
    this.cantoneseSpoken = cantoneseSpoken;
    return this;
  }

  /**
   * Cantonese exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getCantoneseSpokenException() {
    return cantoneseSpokenException;
  }

  /**
   * Cantonese exception.
   * @param cantoneseSpokenException cantoneseSpokenException or {@code null} for none
   */
  public LanguagesSpoken setCantoneseSpokenException(java.lang.String cantoneseSpokenException) {
    this.cantoneseSpokenException = cantoneseSpokenException;
    return this;
  }

  /**
   * Dutch. At least one staff member speaks Dutch.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getDutchSpoken() {
    return dutchSpoken;
  }

  /**
   * Dutch. At least one staff member speaks Dutch.
   * @param dutchSpoken dutchSpoken or {@code null} for none
   */
  public LanguagesSpoken setDutchSpoken(java.lang.Boolean dutchSpoken) {
    this.dutchSpoken = dutchSpoken;
    return this;
  }

  /**
   * Dutch exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getDutchSpokenException() {
    return dutchSpokenException;
  }

  /**
   * Dutch exception.
   * @param dutchSpokenException dutchSpokenException or {@code null} for none
   */
  public LanguagesSpoken setDutchSpokenException(java.lang.String dutchSpokenException) {
    this.dutchSpokenException = dutchSpokenException;
    return this;
  }

  /**
   * English. At least one staff member speaks English.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getEnglishSpoken() {
    return englishSpoken;
  }

  /**
   * English. At least one staff member speaks English.
   * @param englishSpoken englishSpoken or {@code null} for none
   */
  public LanguagesSpoken setEnglishSpoken(java.lang.Boolean englishSpoken) {
    this.englishSpoken = englishSpoken;
    return this;
  }

  /**
   * English exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getEnglishSpokenException() {
    return englishSpokenException;
  }

  /**
   * English exception.
   * @param englishSpokenException englishSpokenException or {@code null} for none
   */
  public LanguagesSpoken setEnglishSpokenException(java.lang.String englishSpokenException) {
    this.englishSpokenException = englishSpokenException;
    return this;
  }

  /**
   * Filipino. At least one staff member speaks Filipino.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getFilipinoSpoken() {
    return filipinoSpoken;
  }

  /**
   * Filipino. At least one staff member speaks Filipino.
   * @param filipinoSpoken filipinoSpoken or {@code null} for none
   */
  public LanguagesSpoken setFilipinoSpoken(java.lang.Boolean filipinoSpoken) {
    this.filipinoSpoken = filipinoSpoken;
    return this;
  }

  /**
   * Filipino exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getFilipinoSpokenException() {
    return filipinoSpokenException;
  }

  /**
   * Filipino exception.
   * @param filipinoSpokenException filipinoSpokenException or {@code null} for none
   */
  public LanguagesSpoken setFilipinoSpokenException(java.lang.String filipinoSpokenException) {
    this.filipinoSpokenException = filipinoSpokenException;
    return this;
  }

  /**
   * French. At least one staff member speaks French.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getFrenchSpoken() {
    return frenchSpoken;
  }

  /**
   * French. At least one staff member speaks French.
   * @param frenchSpoken frenchSpoken or {@code null} for none
   */
  public LanguagesSpoken setFrenchSpoken(java.lang.Boolean frenchSpoken) {
    this.frenchSpoken = frenchSpoken;
    return this;
  }

  /**
   * French exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getFrenchSpokenException() {
    return frenchSpokenException;
  }

  /**
   * French exception.
   * @param frenchSpokenException frenchSpokenException or {@code null} for none
   */
  public LanguagesSpoken setFrenchSpokenException(java.lang.String frenchSpokenException) {
    this.frenchSpokenException = frenchSpokenException;
    return this;
  }

  /**
   * German. At least one staff member speaks German.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getGermanSpoken() {
    return germanSpoken;
  }

  /**
   * German. At least one staff member speaks German.
   * @param germanSpoken germanSpoken or {@code null} for none
   */
  public LanguagesSpoken setGermanSpoken(java.lang.Boolean germanSpoken) {
    this.germanSpoken = germanSpoken;
    return this;
  }

  /**
   * German exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getGermanSpokenException() {
    return germanSpokenException;
  }

  /**
   * German exception.
   * @param germanSpokenException germanSpokenException or {@code null} for none
   */
  public LanguagesSpoken setGermanSpokenException(java.lang.String germanSpokenException) {
    this.germanSpokenException = germanSpokenException;
    return this;
  }

  /**
   * Hindi. At least one staff member speaks Hindi.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getHindiSpoken() {
    return hindiSpoken;
  }

  /**
   * Hindi. At least one staff member speaks Hindi.
   * @param hindiSpoken hindiSpoken or {@code null} for none
   */
  public LanguagesSpoken setHindiSpoken(java.lang.Boolean hindiSpoken) {
    this.hindiSpoken = hindiSpoken;
    return this;
  }

  /**
   * Hindi exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getHindiSpokenException() {
    return hindiSpokenException;
  }

  /**
   * Hindi exception.
   * @param hindiSpokenException hindiSpokenException or {@code null} for none
   */
  public LanguagesSpoken setHindiSpokenException(java.lang.String hindiSpokenException) {
    this.hindiSpokenException = hindiSpokenException;
    return this;
  }

  /**
   * Indonesian. At least one staff member speaks Indonesian.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getIndonesianSpoken() {
    return indonesianSpoken;
  }

  /**
   * Indonesian. At least one staff member speaks Indonesian.
   * @param indonesianSpoken indonesianSpoken or {@code null} for none
   */
  public LanguagesSpoken setIndonesianSpoken(java.lang.Boolean indonesianSpoken) {
    this.indonesianSpoken = indonesianSpoken;
    return this;
  }

  /**
   * Indonesian exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getIndonesianSpokenException() {
    return indonesianSpokenException;
  }

  /**
   * Indonesian exception.
   * @param indonesianSpokenException indonesianSpokenException or {@code null} for none
   */
  public LanguagesSpoken setIndonesianSpokenException(java.lang.String indonesianSpokenException) {
    this.indonesianSpokenException = indonesianSpokenException;
    return this;
  }

  /**
   * Italian. At least one staff member speaks Italian.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getItalianSpoken() {
    return italianSpoken;
  }

  /**
   * Italian. At least one staff member speaks Italian.
   * @param italianSpoken italianSpoken or {@code null} for none
   */
  public LanguagesSpoken setItalianSpoken(java.lang.Boolean italianSpoken) {
    this.italianSpoken = italianSpoken;
    return this;
  }

  /**
   * Italian exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getItalianSpokenException() {
    return italianSpokenException;
  }

  /**
   * Italian exception.
   * @param italianSpokenException italianSpokenException or {@code null} for none
   */
  public LanguagesSpoken setItalianSpokenException(java.lang.String italianSpokenException) {
    this.italianSpokenException = italianSpokenException;
    return this;
  }

  /**
   * Japanese. At least one staff member speaks Japanese.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getJapaneseSpoken() {
    return japaneseSpoken;
  }

  /**
   * Japanese. At least one staff member speaks Japanese.
   * @param japaneseSpoken japaneseSpoken or {@code null} for none
   */
  public LanguagesSpoken setJapaneseSpoken(java.lang.Boolean japaneseSpoken) {
    this.japaneseSpoken = japaneseSpoken;
    return this;
  }

  /**
   * Japanese exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getJapaneseSpokenException() {
    return japaneseSpokenException;
  }

  /**
   * Japanese exception.
   * @param japaneseSpokenException japaneseSpokenException or {@code null} for none
   */
  public LanguagesSpoken setJapaneseSpokenException(java.lang.String japaneseSpokenException) {
    this.japaneseSpokenException = japaneseSpokenException;
    return this;
  }

  /**
   * Korean. At least one staff member speaks Korean.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getKoreanSpoken() {
    return koreanSpoken;
  }

  /**
   * Korean. At least one staff member speaks Korean.
   * @param koreanSpoken koreanSpoken or {@code null} for none
   */
  public LanguagesSpoken setKoreanSpoken(java.lang.Boolean koreanSpoken) {
    this.koreanSpoken = koreanSpoken;
    return this;
  }

  /**
   * Korean exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getKoreanSpokenException() {
    return koreanSpokenException;
  }

  /**
   * Korean exception.
   * @param koreanSpokenException koreanSpokenException or {@code null} for none
   */
  public LanguagesSpoken setKoreanSpokenException(java.lang.String koreanSpokenException) {
    this.koreanSpokenException = koreanSpokenException;
    return this;
  }

  /**
   * Mandarin. At least one staff member speaks Mandarin.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getMandarinSpoken() {
    return mandarinSpoken;
  }

  /**
   * Mandarin. At least one staff member speaks Mandarin.
   * @param mandarinSpoken mandarinSpoken or {@code null} for none
   */
  public LanguagesSpoken setMandarinSpoken(java.lang.Boolean mandarinSpoken) {
    this.mandarinSpoken = mandarinSpoken;
    return this;
  }

  /**
   * Mandarin exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getMandarinSpokenException() {
    return mandarinSpokenException;
  }

  /**
   * Mandarin exception.
   * @param mandarinSpokenException mandarinSpokenException or {@code null} for none
   */
  public LanguagesSpoken setMandarinSpokenException(java.lang.String mandarinSpokenException) {
    this.mandarinSpokenException = mandarinSpokenException;
    return this;
  }

  /**
   * Portuguese. At least one staff member speaks Portuguese.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getPortugueseSpoken() {
    return portugueseSpoken;
  }

  /**
   * Portuguese. At least one staff member speaks Portuguese.
   * @param portugueseSpoken portugueseSpoken or {@code null} for none
   */
  public LanguagesSpoken setPortugueseSpoken(java.lang.Boolean portugueseSpoken) {
    this.portugueseSpoken = portugueseSpoken;
    return this;
  }

  /**
   * Portuguese exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getPortugueseSpokenException() {
    return portugueseSpokenException;
  }

  /**
   * Portuguese exception.
   * @param portugueseSpokenException portugueseSpokenException or {@code null} for none
   */
  public LanguagesSpoken setPortugueseSpokenException(java.lang.String portugueseSpokenException) {
    this.portugueseSpokenException = portugueseSpokenException;
    return this;
  }

  /**
   * Russian. At least one staff member speaks Russian.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getRussianSpoken() {
    return russianSpoken;
  }

  /**
   * Russian. At least one staff member speaks Russian.
   * @param russianSpoken russianSpoken or {@code null} for none
   */
  public LanguagesSpoken setRussianSpoken(java.lang.Boolean russianSpoken) {
    this.russianSpoken = russianSpoken;
    return this;
  }

  /**
   * Russian exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getRussianSpokenException() {
    return russianSpokenException;
  }

  /**
   * Russian exception.
   * @param russianSpokenException russianSpokenException or {@code null} for none
   */
  public LanguagesSpoken setRussianSpokenException(java.lang.String russianSpokenException) {
    this.russianSpokenException = russianSpokenException;
    return this;
  }

  /**
   * Spanish. At least one staff member speaks Spanish.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getSpanishSpoken() {
    return spanishSpoken;
  }

  /**
   * Spanish. At least one staff member speaks Spanish.
   * @param spanishSpoken spanishSpoken or {@code null} for none
   */
  public LanguagesSpoken setSpanishSpoken(java.lang.Boolean spanishSpoken) {
    this.spanishSpoken = spanishSpoken;
    return this;
  }

  /**
   * Spanish exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getSpanishSpokenException() {
    return spanishSpokenException;
  }

  /**
   * Spanish exception.
   * @param spanishSpokenException spanishSpokenException or {@code null} for none
   */
  public LanguagesSpoken setSpanishSpokenException(java.lang.String spanishSpokenException) {
    this.spanishSpokenException = spanishSpokenException;
    return this;
  }

  /**
   * Vietnamese. At least one staff member speaks Vietnamese.
   * @return value or {@code null} for none
   */
  public java.lang.Boolean getVietnameseSpoken() {
    return vietnameseSpoken;
  }

  /**
   * Vietnamese. At least one staff member speaks Vietnamese.
   * @param vietnameseSpoken vietnameseSpoken or {@code null} for none
   */
  public LanguagesSpoken setVietnameseSpoken(java.lang.Boolean vietnameseSpoken) {
    this.vietnameseSpoken = vietnameseSpoken;
    return this;
  }

  /**
   * Vietnamese exception.
   * @return value or {@code null} for none
   */
  public java.lang.String getVietnameseSpokenException() {
    return vietnameseSpokenException;
  }

  /**
   * Vietnamese exception.
   * @param vietnameseSpokenException vietnameseSpokenException or {@code null} for none
   */
  public LanguagesSpoken setVietnameseSpokenException(java.lang.String vietnameseSpokenException) {
    this.vietnameseSpokenException = vietnameseSpokenException;
    return this;
  }

  @Override
  public LanguagesSpoken set(String fieldName, Object value) {
    return (LanguagesSpoken) super.set(fieldName, value);
  }

  @Override
  public LanguagesSpoken clone() {
    return (LanguagesSpoken) super.clone();
  }

}
